Subject: Re: linux-next: manual merge of the slave-dma tree with Linus' tree

From: Russell King - ARM Linux <[email-masked]>
Date: Wed, 27 Jul 2011 21:19:04 +0100

On Wed, Jul 27, 2011 at 09:55:44PM +0530, Koul, Vinod wrote:
> > 
> > On Wed, 2011-07-27 at 12:08 +1000, Stephen Rothwell wrote:
> > > Hi Vinod,
> > >
> > > Today's linux-next merge of the slave-dma tree got a conflict in
> > > drivers/spi/spi-pl022.c (called drivers/spi/amba-pl022.c in the sleav-dma
> > > tree) between commit 083be3f05371 ("spi/pl022: initialize burstsize from
> > > FIFO trigger level") from Linus' tree and commit 001b0585ff16 ("Improve
> > > slave/cyclic DMA engine documentation") from the slave-dma tree.
> > >
> > > I fixed it up (see below) anc acn carry the fix as necessary.
> > 
> > The correct fix would be:
> > 
> > diff --cc drivers/spi/spi-pl022.c
> > index eba88c7,99e7880..0000000
> > --- a/drivers/spi/spi-pl022.c
> > +++ b/drivers/spi/spi-pl022.c
> > @@@ -910,11 -908,11 +910,9 @@@ static int configure_dma(struct pl022 *
> >   {
> >         struct dma_slave_config rx_conf = {
> >                 .src_addr = SSP_DR(pl022->phybase),
> > +			.direction = DMA_TO_DEVICE,
> >         };
> >         struct dma_slave_config tx_conf = {
> >                 .dst_addr = SSP_DR(pl022->phybase),
> >                 .direction = DMA_TO_DEVICE,
> >  -              .dst_maxburst = pl022->vendor->fifodepth >> 1,
> >         };
> >         unsigned int pages;
> >         int ret;
> > 
> Grant, Russell,
> Can you please ack this fix before I apply in my tree to resolve this conflict

I don't see why I need to - my documentation patch should only be touching
Documentation/dmaengine.txt, not drivers/spi/spi-pl022.c.  So it really
should not be causing a conflict in this file.